fabio.porcedda

Sourcery CodeBench Lite 2012.09-64 - Breaks kernel builds

Discussion created by fabio.porcedda on Nov 21, 2012
Latest reply on May 11, 2013 by Thang.Le

Hi all,

this toolchain is unable to build the linux kernel (i've tried 3.6.6 and 3.7-rc6),

it gives me this error:

 

...

arch/arm/lib/copy_template.S:100: Error: selected processor does not support ARM mode `ldralt ip,[r1],#4'

...

 

The kernel builds fine with the previous release (2012.03) and

with other gcc-4.7 toolchain (ubuntu 12.10 armel-cross).

 

I think it's afflicted by this bug:

http://sourceware.org/bugzilla/show_bug.cgi?id=14575

https://bugzilla.redhat.com/show_bug.cgi?id=869025

 

Do you think there is some hope to have a fixed version?

 

Best regards

Fabio Porcedda

Outcomes